DelegatingCustomizer (Groovy 2.4.16)
Date: 2018-12-09

org.codehaus.groovy.control.customizers

## Class DelegatingCustomizer

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
  - - org.codehaus.groovy.control.customizers.CompilationCustomizer
    - - org.codehaus.groovy.control.customizers.DelegatingCustomizer

- Direct Known Subclasses:
    SourceAwareCustomizer

      public abstract class DelegatingCustomizer
      extends CompilationCustomizer

  Base class for compilation customizers which delegate to another customizer. The phase this customizer runs at is retrieved from the phase of the delegate.
  Since:
    2.1.0
  Author:
    Cedric Champeau

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CompilationCustomizer` | `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingCustomizer(CompilationCustomizer delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

    - ### Methods inherited from class org.codehaus.groovy.control.customizers.CompilationCustomizer

      `getPhase`

    - ### Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

      `needSortedInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected final CompilationCustomizer delegate

  - ### Constructor Detail

    - #### DelegatingCustomizer

          public DelegatingCustomizer(CompilationCustomizer delegate)

  - ### Method Detail

    - #### call

          public void call(SourceUnit source,
                           GeneratorContext context,
                           ClassNode classNode)
                    throws CompilationFailedException

      Specified by:
        `call` in class `CompilationUnit.PrimaryClassNodeOperation`
      Throws:
        `CompilationFailedException`